Advantech iView ConfigurationServlet SQLi (CVE-2022-3323)

high Nessus Plugin ID 169462

Synopsis

A web application is affected by an SQL injection vulnerability.

Description

The Advantech iView running on the remote host is affected by a SQL injection vulnerability. An unauthenticated, remote attacker can exploit this, via specially crafted messages, to acquire user credentials of the application.

Solution

Upgrade Advantech iView to version 5.7.04.6583 or later.

See Also

https://www.cisa.gov/uscert/ics/advisories/icsa-22-342-01

Plugin Details

Severity: High

ID: 169462

File Name: scada_advantech_iview_cve-2022-3323.nbin

Version: 1.20

Type: remote

Family: SCADA

Published: 1/3/2023

Updated: 2/22/2024

Supported Sensors: Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 4.4

CVSS v2

Risk Factor: High

Base Score: 7.8

Temporal Score: 6.1

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:N/A:N

CVSS Score Source: CVE-2022-3323

CVSS v3

Risk Factor: High

Base Score: 7.5

Temporal Score: 6.7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:advantech:iview

Required KB Items: installed_sw/Advantech iView

Exploit Available: true

Exploit Ease: Exploits are available

Exploited by Nessus: true

Patch Publication Date: 11/17/2022

Vulnerability Publication Date: 9/26/2022

Reference Information

CVE: CVE-2022-3323

ICSA: 22-342-01

TRA: TRA-2022-32